#
# spec file for package ServiceReport
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# By default python 3 is used to build the package.
%define python python3
Name:           ServiceReport
Version:        2.2.2
Release:        lp152.2.1
Summary:        A tool to validate and repair First Failure Data Capture (FFDC) configuration
License:        GPL-2.0-only
Group:          System/Management
URL:            https://github.com/linux-ras/ServiceReport
Source0:        https://github.com/linux-ras/%{name}/archive/v%{version}/%{name}-v%{version}.tar.gz
BuildRequires:  %{python}
BuildRequires:  %{python}-setuptools
BuildRequires:  systemd-rpm-macros
%systemd_requires
BuildArch:      noarch

%description
ServiceReport is a python based tool that investigates the incorrect
First Failure Data Capture (FFDC) configuration and optionally repairs
the incorrect configuration

%define debug_package %{nil}

%prep
%setup -q

%build
%{python} setup.py build

%install
%{python} setup.py install --root=%{buildroot}

%pre
%service_add_pre servicereport.service

%post
%service_add_post servicereport.service

%preun
%service_del_preun servicereport.service

%postun
%service_del_postun servicereport.service

%files
%{_mandir}/man8/*
%doc %{_datadir}/doc/*
%{_bindir}/servicereport
%{_unitdir}/servicereport.service

%if "%{python}" == "python3"
%{python3_sitelib}/servicereportpkg
%{python3_sitelib}/%{name}-%{version}*.egg-info
%else
%{python_sitelib}/servicereportpkg
%{python_sitelib}/%{name}-%{version}*.egg-info
%endif

%changelog
* Wed Sep  2 2020 Michal Suchanek <msuchanek@suse.com>
- Run throuhg spec-cleaner and split off changelog.
- Fix license and dependencies
- Re-download the source
* Sun May 17 2020 Sourbh Jain <sourabhjain@linux.ibm.com>
- Move setup.cfg metadata to setup.py file
* Thu May 14 2020 Sourabh Jain <sourabhjain@linux.ibm.com>
  Update to version 2.2.2
- Update crashkernel memory reservation limit
- Remove rpm postscript
- Add servicereport.spec file
- Move systemd service file to a generic location
- Run service only once at boot time without repair action
- fix initrd repair function
- [fadump] No boolean return from check_* function
- [fadump] indent the code with spaces instead of tabs
- Fix the option_string for --plugin option
- [fadump] update the logic to extract the FADump mem reservation
- Add irqbalance daemon check
- Add irqbalance package check
- Fix the system platform string extraction from /proc/cpuinfo
- Fix powerpc-ibm-utils package name
- Fix typo in README.md
* Fri Nov 15 2019 Sourabh Jain <sourabhjain@linux.ibm.com>
  Version 2.2.1
- First Open source release
- Initial Commit of Open Source release
